From e146873c4c94d51689953cca512767ef23348ecf Mon Sep 17 00:00:00 2001
From: Timur Magomedov <t.magomedov@postgrespro.ru>
Date: Fri, 30 May 2025 19:36:53 +0300
Subject: [PATCH 2/4] Meson fixes

---
 contrib/meson.build             |  1 +
 contrib/vci/meson.build         | 14 +++++++++++---
 contrib/vci/port/meson.build    |  6 +-----
 contrib/vci/storage/meson.build |  1 -
 4 files changed, 13 insertions(+), 9 deletions(-)

diff --git a/contrib/meson.build b/contrib/meson.build
index ed30ee7d639..d8bd5c855a5 100644
--- a/contrib/meson.build
+++ b/contrib/meson.build
@@ -70,4 +70,5 @@ subdir('tsm_system_time')
 subdir('unaccent')
 subdir('uuid-ossp')
 subdir('vacuumlo')
+subdir('vci')
 subdir('xml2')
diff --git a/contrib/vci/meson.build b/contrib/vci/meson.build
index f56d90c4aef..fd3dc103278 100644
--- a/contrib/vci/meson.build
+++ b/contrib/vci/meson.build
@@ -21,8 +21,6 @@ vci_sources += vci_storage_sources
 
 vci_sources += vci_utils_sources
 
-vci_sources += vci_prewarm_sources
-
 if host_system == 'solaris'
    ldflags += ['-lc -lkstat']
 endif
@@ -61,4 +59,14 @@ install_data(
   kwargs:contrib_data_args,
 )
 
-subdir('po', if_found: libintl)
+tests += {
+  'name': 'vci',
+  'sd': meson.current_source_dir(),
+  'bd': meson.current_build_dir(),
+  'regress': {
+    'sql': [
+      'vci',
+    ],
+    'regress_args': ['--temp-config', files('vci.conf')],
+  }
+}
diff --git a/contrib/vci/port/meson.build b/contrib/vci/port/meson.build
index de943cff85e..916447a92ad 100644
--- a/contrib/vci/port/meson.build
+++ b/contrib/vci/port/meson.build
@@ -4,13 +4,9 @@ vci_port_linux_sources = files(
   'vci_linux.c',
 )
 
-vci_port_posix_sources = files(
-  'vci_posix.c',
-)
-
 vci_port_sources = []
 
-elif host_system == 'linux'
+if host_system == 'linux'
    vci_port_sources += vci_port_linux_sources
 
 endif
diff --git a/contrib/vci/storage/meson.build b/contrib/vci/storage/meson.build
index e49dfa80964..711e2b4608f 100644
--- a/contrib/vci/storage/meson.build
+++ b/contrib/vci/storage/meson.build
@@ -14,7 +14,6 @@ vci_storage_sources = files(
   'vci_ros.c',
   'vci_ros_command.c',
   'vci_ros_daemon.c',
-  'vci_ros_minmax.c',
   'vci_tidcrid.c',
   'vci_wos.c',
   'vci_xact.c',
-- 
2.43.0

